import { defineStore } from 'pinia';
import type { IQueryResult } from '@/util/types.util';
import { get, omit } from 'lodash';
import { AxiosWrapper } from '@/util/axios-wrapper';
const axios = new AxiosWrapper();
export const LoginStore = defineStore('login', () => {
  const login = async (payload: any): Promise<IQueryResult> => {
    const type = get(payload, 'type');
    const np = omit(payload, 'type');
    const res = await axios.$post(`/login/${type}`, np);
    return res;
  };
  const rp = async (payload: any): Promise<IQueryResult> => {
    const type = get(payload, 'type');
    const np = omit(payload, 'type');
    const res = await axios.$post(`/login/updatePwd/${type}`, np);
    return res;
  };
  const rpNoNewPassword = async (payload: any): Promise<IQueryResult> => {
    const type = get(payload, 'type');
    const np = omit(payload, 'type');
    const res = await axios.$post(`/login/resetPwd/${type}`, np);
    return res;
  };
  return { login, rp, rpNoNewPassword };
});
